package com.example.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "user")
public class User {
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    private String city;
    private String country;
    private String imgUrl;
    private String nickname;
    private String openId;
    private String privileges;
    private String province;
    private Integer sex;
    private Integer type;//0-小程序 1-公众号
    private Date createDate;
    private Integer isDel;
    private String tel;
    private Date editDate;

}
